# $Revision: 1.26 $, $Date: 2008/08/17 17:10:16 $
#
# Conditional build:
%bcond_without	SDL_mixer	# build without SDL_mixer
#
Summary:	A funny action game written with SDL
Summary(pl.UTF-8):	Zabawna gra oparta o SDL
Name:		bumprace
Version:	1.5.3
Release:	2
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://user.cs.tu-berlin.de/~karlb/bumprace/%{name}-%{version}.tar.gz
# Source0-md5:	a72733718ee6eed8cd1657db89bf8e0d
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://www.linux-games.com/bumprace/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel >= 1.2.0
%{?with_SDL_mixer:BuildRequires:	SDL_mixer-devel >= 1.2.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BumpRace is a simple 1 or 2 player game where players choose among
four vehicles and race through a multi-level maze.

%description -l pl.UTF-8
BumpRace jest prostą grą dla 1 lub 2 osób, w której gracze wybierają
spośród czterech pojazdów i ścigają się w wielopoziomowym labiryncie.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bumprace.spec,v $
Revision 1.26  2008/08/17 17:10:16  adamg
- release 2 (auto- tags do not store epoch)

Revision 1.25  2008/08/17 17:00:43  adamg
- Epoch: 1 (ver. 1.45 vs 1.5.3)

Revision 1.24  2008-01-05 06:28:26  sls
- rm BR: XFree-devel (probably SDL* deps)

Revision 1.23  2007/04/02 03:40:51  shadzik
- up to 1.5.3

Revision 1.22  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.20  2007/01/02 18:21:08  shadzik
- correct URL

Revision 1.19  2007/01/02 17:25:43  lisu
- direct URL

Revision 1.18  2006/12/29 13:08:38  lisu
- AUTHORS file added
- NEWS is empty and I changed it for ChangeLog
- GPL v2+ License

Revision 1.17  2006/12/29 12:43:00  lisu
- 1.5.2
- BR: SDL_image-devel >= 1.2.0
- new Summary and description
- conditional build: without SDL_mixer
- desktop and icon files added

Revision 1.16  2005/05/28 01:03:27  zbyniu
- BR: libjpeg-devel

Revision 1.15  2004/04/26 13:52:35  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.14  2003/08/06 16:39:01  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.13  2003/06/14 14:32:03  malekith
- fixed url/md5

Revision 1.12  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.11  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/28 10:07:23  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.8  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.7  2002/10/10 12:23:17  marcus
- use new %%doc

Revision 1.6  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/23 18:59:20  kloczek
- !sort BR rules.

Revision 1.3  2002/04/23 18:58:38  kloczek
- cosmetics.

Revision 1.2  2002/04/22 11:00:15  qboosh
- removed Group translations, added missing Log tag

